BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.Leave.TimeAttendants.DutyTime Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.Leave.TimeAttendants.DutyTime:

## Properties
string | Description = string.Empty`[get, set]`
string | StartTimeMorning = "00:00"`[get, set]`
string | EndTimeMorning = "00:00"`[get, set]`
string | StartTimeAfternoon = "00:00"`[get, set]`
string | EndTimeAfternoon = "00:00"`[get, set]`
bool | IsDefault = false`[get, set]`
bool | IsActive = true`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ Description

string BMA.EHR.Domain.Models.Leave.TimeAttendants.DutyTime.Description = string.Empty
| get set

## ◆ EndTimeAfternoon

string BMA.EHR.Domain.Models.Leave.TimeAttendants.DutyTime.EndTimeAfternoon = "00:00"
| get set

## ◆ EndTimeMorning

string BMA.EHR.Domain.Models.Leave.TimeAttendants.DutyTime.EndTimeMorning = "00:00"
| get set

## ◆ IsActive

bool BMA.EHR.Domain.Models.Leave.TimeAttendants.DutyTime.IsActive = true
| get set

## ◆ IsDefault

bool BMA.EHR.Domain.Models.Leave.TimeAttendants.DutyTime.IsDefault = false
| get set

## ◆ StartTimeAfternoon

string BMA.EHR.Domain.Models.Leave.TimeAttendants.DutyTime.StartTimeAfternoon = "00:00"
| get set

## ◆ StartTimeMorning

string BMA.EHR.Domain.Models.Leave.TimeAttendants.DutyTime.StartTimeMorning = "00:00"
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/Leave/TimeAttendants/DutyTime.cs